Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 596454 (CVE-2010-1749) - CVE-2010-1749 WebKit: use-after-free vulnerability in handling of CSS run-ins
Summary: CVE-2010-1749 WebKit: use-after-free vulnerability in handling of CSS run-ins
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-1749
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 19:03 UTC by Vincent Danen
Modified: 2021-02-24 23:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:16:36 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 19:03:51 UTC
A use after free issue exists in WebKit's handling of CSS run-ins. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of CSS run-ins.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=27193, https://bugs.webkit.org/show_bug.cgi?id=38625
Trac: http://trac.webkit.org/changeset/45941

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative, as the original reporter.

Comment 1 Tomas Hoger 2010-05-27 20:56:04 UTC
The above upstream commit is included in current webkitgtk (F12+) and qt packages.

Comment 11 Josh Bressers 2010-06-05 01:34:50 UTC
This particular flaw doesn't affect khtml.

The SVG testcase is very simplistic and straightforward. It's clear this variant does not affect khtml.

As a percautionary measure, it may make sense to modify khtml to check for anonymous blocks, but not because of this flaw.

The issue at hand is that during the destruction of the object, the anonymous blocks are mishandled. This is due to the render engine though, not to anonymous block itself. It is well known that the khtml and webkit render engines are drastically different. The fact that this issue doesn't affect khtml is not a surprise.

Comment 12 Jan Lieskovsky 2010-06-08 16:49:17 UTC
Public via:
  [1] http://support.apple.com/kb/HT419


Note You need to log in before you can comment on or make changes to this bug.